.wrapper-dropdown {
  position: relative;
  width: 100%;
  margin: 0 auto;
  border-radius: 4px;
  background: transparent;
  outline: none;
  transition: all 0.3s ease-out;

  .selection {
    display: flex;
    padding: 5px 24px 5px 16px;
    border-radius: 20px;
    position: relative;
    height: 40px;
    border: 1px solid $nlb-gray-7;
    line-height: 2;

    .text {
      overflow: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
      color: $nlbDarkestGreyColor;
      font-size: 14px;
    }

    .arrow {
      position: absolute;
      right: 15px;
      top: 8px;
      i {
        font-size: 16px;
      }
    }

    &:hover {
      .arrow,
      .text {
        color: $violet-light !important;
      }
    }
  }

  .dropdown {
    z-index: 10;
    list-style: none;
    background: white;
    width: 100%;
    top: 99%;
    box-shadow: $list-item-shadow-hover;
    left: 0;
    position: absolute;
    border-radius: 6px;
    max-height: 200px;
    min-height: 20px;

    margin-top: 5px;

    ul {
      overflow-y: auto;
      max-height: 160px;
      margin-top: 16px;
      position: relative;
      margin-bottom: 16px;
      padding-left: 16px;
      padding-right: 16px;

      li {
        font-weight: normal;
        padding: 0;
        list-style: none;
        color: $navigationLabelGray;
        font-family: $roboto;
        font-size: 14px;
        a {
          display: block;
          text-decoration: none;
          padding: 8px 0;
          transition: all 0.3s ease-out;
        }

        &.selected,
        &:hover {
          a {
            color: $nlbIndigoColor;
          }
        }
      }
    }

    &-select-search-input {
      max-width: 100%;
      border: none;
      color: $nlbDarkestGreyColor;
      font-size: 14px;
      background: transparent;

      &.disabled {
        color: $nlbLightGreyColor !important;
      }
    }
  }

  &.disabled {
    cursor: not-allowed;

    .selection {
      .text {
        color: $nlbLightGreyColor !important;
      }

      border-color: $nlbLightGreyColor;

      &:hover {
        .arrow,
        .text {
          color: $nlbLightGreyColor !important;
        }
      }
    }
  }

  .dropdown-placeholder {
    color: $nlbLightGreyColor;
  }
}

.dropdown-open {
  // &.active-selection {
  // border: 1px solid $violet-light;

  //&:not(.account-selection) {
  //  border-top-right-radius: 19px !important;
  //  border-top-left-radius: 19px !important;
  //}
  //}

  &.active-menu {
    border-top: none !important;
  }
}

.active-component {
  border: 1px solid $violet-light !important;
}

.select-component {
  &.is-invalid {
    //border: 1px solid $nlbRedColor;
    //margin-top: .25rem;
    //font-size: 80%;
    color: $nlbRedColor;
    //border-radius: 24px;

    .selection,
    .dropdown {
      border-color: $nlbRedColor;
    }
  }
}

.dropdown-menu-shadow {
  box-shadow: $dropdown-shadow;
}

/* .dropdown-menu.show {
  top: 35px !important;
  left: -136px !important;
} */

.dropdown-item {
  font-family: $roboto;
  font-size: 14px;
  color: $navigationLabelGray;

  &:hover {
    cursor: pointer;
    color: $nlbIndigoColor;
    background-color: transparent;
  }
}
